Name:           wmwave
Version:        0.4
Release:        3%{?dist}
Summary:        Statistics about a current wireless Ethernet connection
Summary(de):    Statistiken zur aktuellen drahtlosen Ethernet-Verbindung
Group:          User Interface/X

License:        GPLv2+
URL:            http://wmwave.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-0-4.tgz
# The FSF snail address is incorrect
Patch0:         %{name}-fsf-address.patch
# Patch comes from the Debian package, it avoids stack smashing
Patch1:         %{name}-Makefile.patch
Patch2:         %{name}.patch
BuildRequires:  libXext-devel
BuildRequires:  libXpm-devel
BuildRequires:  wireless-tools-devel

%description
wmwave is a dockapp for Windowmaker to display statistical information
about a current wireless Ethernet connection.

%description -l de
wmwave ist ein Dockapp für Windowmaker, welches statistische Informationen
zur aktuellen drahtlosen Ethernet-Verbindung anzeigt.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p0
%patch2 -p0
find . -type f -exec chmod -x {} \;

%build
make FLAGS='%{optflags}' %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -p %{name} %{buildroot}%{_bindir}
install -p -m 644 %{name}.1 %{buildroot}%{_mandir}/man1

%files
%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Aug 04 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.4-3
- Moved "find" statement from %%build to %%prep
- Added patch for wmwave.c
- Renamed patch0
- Dropped %%defattr from %%files
- Replaced $RPM_BUILD_ROOT with %%{buildroot}
- Added extra dependency for wireless-tools-devel, Makefile patched
  to detect iwlib.h

* Mon Jul 04 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.4-2
- Added group

* Sun Jul 03 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.4-1
- initial version
